Bug 106458 - Want libunwind based gdb
Want libunwind based gdb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdb (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
Jay Turner
http://www.hpl.hp.com/research/linux/...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-07 07:04 EDT by Johan Walles
Modified: 2015-01-07 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 13:59:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Walles 2003-10-07 07:04:08 EDT
I would like to see a libunwind based gdb in some future release of RHEL / ia64.

That would enable us (BEA) to get stack traces through signal handler
boundaries, as well as getting stack traces through dynamically generated code.

I know you have been looking into this a bit, I'm filing this bugzilla for
tracking progress.
Comment 2 Elena Zannoni 2004-01-13 13:59:42 EST
This will be included in RHEL3-U1.
gdb-6.0post-0.20031117.6 is the version.
You will need the libunwind rpm as well.

Note You need to log in before you can comment on or make changes to this bug.